import Box from '@mui/material/Box'
import { useState } from 'react'

import Header from './Header.tsx'
import Primary from './Primary.tsx';
import Footer from './Footer.tsx';
import LoginDialog from './LoginDialog.tsx';
import { LoginContext } from './Context.tsx';


// JSX.Element is the return type of every React component
function App(): JSX.Element {
  const [loginModalOpen, setLoginModalOpen] = useState(false);
  const [currentUser, setCurrentUser] = useState<string | undefined>(undefined);
  const [userToken, setUserToken] = useState<string | undefined>(undefined);

  const loginContextData = {
    loginModalOpen: loginModalOpen,
    currentUser: currentUser,
    userToken: userToken,
    setOpen: setLoginModalOpen,
    setCurrentUser: setCurrentUser,
    setUserToken: setUserToken,
  };

  // const loginContextData = { open, setOpen };
  // const loginContext = createContext(loginContextData);

  return (
    <LoginContext.Provider value={loginContextData} >
    <Box flexDirection={"column"} display={"flex"} sx={{ width: "100%", minHeight: "100vh", backgroundColor:"background.default"}}>
      <Header />
      <LoginDialog />
      <Primary />
      <Footer />
    </Box>
    </LoginContext.Provider>
  )
}

export default App;
