import React from 'react'
import ReactDOM from 'react-dom/client'
import App from './App.tsx'
import './style/index.scss'

import theme from './Theme.tsx'
import { ThemeProvider } from '@mui/material'
import { CssBaseline } from '@mui/material'

import { TestContext } from './Context.tsx'

ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <CssBaseline />
    <ThemeProvider theme={theme}>
      <TestContext.Provider value="Test123">
        <App />
      </TestContext.Provider>
    </ThemeProvider>
    <CssBaseline />
  </React.StrictMode>,
)